Bug 50411 - squid package fails to uninstall
squid package fails to uninstall
Product: Red Hat Linux
Classification: Retired
Component: squid (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Depends On:
  Show dependency treegraph
Reported: 2001-07-30 20:18 EDT by Florin Andrei
Modified: 2014-03-16 22:22 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-07-30 21:26:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Florin Andrei 2001-07-30 20:18:29 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux 2.2.19 i686; en-US; rv:0.9.1)

Description of problem:
If i try to uninstall squid package, and squid is not running, it fails,
complaining something about the %preun script.
If squid runs while uninstalling it, then there's no such problem.

How reproducible:

Steps to Reproduce:
1.Install squid (but do not run it)
2.Uninstall it
3.BOOM! :-P

Actual Results:  RPM fails, complaining about %preun script

Expected Results:  Squid should uninstall cleanly, no matter if it's
running or not.

Additional info:

I already saw this bug for sysklogd. Maybe some other daemons suffer from
the same problem. You should check all daemons from the distribution.
Comment 1 Michael Schwendt 2001-07-30 20:48:34 EDT
Interesting. Same symptons as bug #50123, but that one refers to sysklogd.

$ rpm -q --qf "%{preun}\n" squid
if [ $1 = 0 ] ; then
        rm -f /var/log/squid/*
        /sbin/chkconfig --del squid
        service squid stop >/dev/null 2>&1

if [ $1 = 0 ] ; then
        rm -f /var/log/squid/*
        /sbin/chkconfig --del squid
        [ -f /var/lock/subsys/squid ] && service squid stop >/dev/null 2>&1
Comment 2 Michael Schwendt 2001-07-30 20:49:40 EDT
Ah, just noticed: same reporter. Hi! :-)
Comment 3 Michael Schwendt 2001-07-30 21:26:13 EDT
And of course move the "/sbin/chkconfig --del squid" at the end.....
Comment 4 Bill Nottingham 2001-08-07 03:22:44 EDT
fixed in -5. Thanks!

Note You need to log in before you can comment on or make changes to this bug.